# fn:escape-html-uri

fn:escape-html-uri(string $uri-part) → string

Function signature

$uri-part | xs:string
Result | string

Applies the %HH escaping convention to a URI, according to the rules of the HTML specification: that is, non-ASCII characters are escaped, but all ASCII characters, including spaces, are retained intact.

XPath 2.0 Specification

Note:This function is useful in conjunction with the serialization option escape-uri-attributes="no": it then allows escaping to be applied to URI-valued attributes selectively under application control.

Next